package com.kmall.api.service;

import com.kmall.api.dao.ApiPayerChildOrderRealMapper;
import com.kmall.api.entity.PayerChildOrderRealEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 支付单子订单关联记录表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-11 14:38:15
 */
@Service()
public class PayerChildOrderRealService {
    @Autowired
    private ApiPayerChildOrderRealMapper payerChildOrderRealDao;

    
    public PayerChildOrderRealEntity queryObject(Integer id) {
        return payerChildOrderRealDao.queryObject(id);
    }

    public List<PayerChildOrderRealEntity> queryList(Map<String, Object> map) {
        return payerChildOrderRealDao.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return payerChildOrderRealDao.queryTotal(map);
    }

    public int save(PayerChildOrderRealEntity payerChildOrderReal) {
        return payerChildOrderRealDao.save(payerChildOrderReal);
    }

    public int update(PayerChildOrderRealEntity payerChildOrderReal) {
        return payerChildOrderRealDao.update(payerChildOrderReal);
    }

    public int delete(Integer id) {
        return payerChildOrderRealDao.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return payerChildOrderRealDao.deleteBatch(ids);
    }
}
